<?php

namespace Luticate\Utils;

use Laravel\Lumen\Routing\Controller as BaseController;

class LuController extends BaseController
{
    function execute($businessClass, $businessMethod)
    {
        $params = app('request')->route()[2];
        $business = new $businessClass(array_merge($_GET, $_POST, $params));

        $reflect = new \ReflectionMethod($businessClass, $businessMethod);
        $params = $reflect->getParameters();

        $args = array();
        foreach ($params as $param)
            $args[$param->getName()] = $business->checkParam($param->getName());

        return LuOutputFormatter::formatSuccess(call_user_func_array(array($business, $businessMethod), $args));
    }
}
