<?php

namespace Luticate\Utils;


class LuOutputFormatter
{
    public static $APP_VERSION = 1.0;

    public static function getResponse()
    {
        return array(
            "version" => self::$APP_VERSION,
            "code" => 200,
            "success" => true,
            "data" => null
        );
    }

    public static function formatSuccess($data)
    {
        $r = self::getResponse();
        $r["data"] = $data;
        return $r;
    }

    public static function formatError($code, $message)
    {
        $r = self::getResponse();
        $r["success"] = false;
        $r["code"] = $code;
        $r["message"] = $message;
        return $r;
    }
}