<?php

namespace Luticate\Utils;

class LuRoute {
    const GET  = 1;
    const POST = 2;
    const DEL  = 3;
    const PUT  = 4;

    public function addRoute($url, $business, $method, $verb, $permissions = array())
    {
        global $app;
        $opt = [function() use($business, $method)
        {
            $controller = new LuController();

            return $controller->execute("App\\Http\\Business\\" . $business . "Business", $method);
        }];
        if ($verb == LuRoute::GET)
            return $app->get($url, $opt);
        else if ($verb == LuRoute::POST)
            return $app->post($url, $opt);
        else if ($verb == LuRoute::DEL)
            return $app->delete($url, $opt);
        else if ($verb == LuRoute::PUT)
            return $app->put($url, $opt);
        return null;
    }
}